cvpnssn.ws

## Class CVPNSSN

- java.lang.Object
- - cvpnssn.ws.CVPNSSN

-     public class CVPNSSN
      extends java.lang.Object

  Non viene riportata la semantica del tag "return" che è presente nelle risposte di tutti i servizi.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CVPNSSN()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CheckPrescrizioneNSSNResponse` | `chkPrescrizioneNSSN(DatiOperatore datiOperatore, java.lang.String numIscrizAlbo, java.lang.String indirMedico, java.lang.String telefMedico, java.lang.String specialClinica, java.lang.String testata1, java.lang.String testata2, DatiApplicativo datiApplicativo, AssistitoPrescrizione assistito, java.lang.String tipologia, java.lang.String dataPrescrizione, java.lang.String codMedicoPrescrittore, PrestazioniPrescritteNSSN elencoPrestazioniNSSN, java.lang.String codDiagnosi, java.lang.String descrizioneDiagnosi)` Il servizio esegue i controlli sui dati della ricetta bianca elettronica e, in caso di esito positivo, li trasmette al sistema di accoglienza centrale in ottemperanza al decreto 30 Dicembre 2020.
    `PrescrizioneIdentificataNSSNResponse` | `getPrescrizioneIdentificataNSSN(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String codPaziente, java.lang.String nrbe, java.lang.String pinNrbe, java.lang.String tipoOperazione)` Il servizio permette di: visualizzare il contenuto di una ricetta bianca elettronica effettuata da un medico prescrittore (RNR/RNRL/RR/RRL) prenderla in carico in maniera esclusiva (RNR/RNRL) nel sistema di accoglienza centrale in ottemperanza al decreto del 30 dicembre 2020 rilasciare la presa in carico (RNR/RNRL) nel sistema di accoglienza centrale in ottemperanza al decreto del 30 dicembre 2020 Per le RNR/RNRL le due azioni di visualizzazione e presa in carico si realizzano contemporaneamente con un’unica chiamata.
    `AnnullaErogazioneFarmNSSNResponse` | `setAnnullaErogazioneFarmNSSN(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String codPaziente, java.lang.String nrbe, java.lang.String pinNrbe, java.lang.String codAnnullamento, java.lang.String identificativoProdPrest)` Il servizio permette di comunicare al sistema l’annullamento dell’erogazione.
    `AnnullaPrescrizioneNSSNResponse` | `setAnnullaPrescrizioneNSSN(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String codPaziente, java.lang.String nrbe, java.lang.String pinNrbe)` Servizio che consente di annullare una prescrizione non coperta dal SSN cambiandone lo stato in "Annullata".
    `RegistraErogazioneFarmNSSNResponse` | `setRegistraErogazioneFarmNSSN(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String erogazione, java.lang.String tipoOperazione, DatiDiChiusuraRicettaNSSN datiDiChiusuraRicettaNSSN, java.lang.Boolean oscurato)` Servizio che consente la registrazione di un'erogazione (in formato cda firmato, file p7m) di prestazioni inerenti ad una prescrizione farmaceutica e trasmette i dati al sistema di accoglienza centrale in ottemperanza al decreto del 30 dicembre 2020.
    `RegistraPrescrizioneNSSNResponse` | `setRegistraPrescrizioneNSSN(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String prescrizione, java.lang.Boolean oscurato)` Servizio che consente la registrazione di una prescrizione (in formato cda firmato, file p7m) completa di tutti i suoi elementi.
    `SospendiErogazioneNSSNResponse` | `setSospendiErogazioneNSSN(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String nrbe, java.lang.String pinNrbe, java.lang.String codPaziente, java.lang.String tipoOperazione)` Il servizio permette alle farmacie, di sospendere l’erogazione di una ricetta bianca elettronica.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CVPNSSN

          public CVPNSSN()

  - ### Method Detail

    - #### chkPrescrizioneNSSN

          public CheckPrescrizioneNSSNResponse chkPrescrizioneNSSN(DatiOperatore datiOperatore,
                                                                   java.lang.String numIscrizAlbo,
                                                                   java.lang.String indirMedico,
                                                                   java.lang.String telefMedico,
                                                                   java.lang.String specialClinica,
                                                                   java.lang.String testata1,
                                                                   java.lang.String testata2,
                                                                   DatiApplicativo datiApplicativo,
                                                                   AssistitoPrescrizione assistito,
                                                                   java.lang.String tipologia,
                                                                   java.lang.String dataPrescrizione,
                                                                   java.lang.String codMedicoPrescrittore,
                                                                   PrestazioniPrescritteNSSN elencoPrestazioniNSSN,
                                                                   java.lang.String codDiagnosi,
                                                                   java.lang.String descrizioneDiagnosi)

      Il servizio esegue i controlli sui dati della ricetta bianca elettronica e, in caso di esito positivo, li trasmette al sistema di accoglienza centrale in ottemperanza al decreto 30 Dicembre 2020. In caso di inserimento andato a buon fine, il metodo restituisce l'NRBE (Numero Ricetta Bianca Elettronica), il pinNrbe (Numero breve univoco per paziente e per anno di prescrizione), la data inserimento ricetta negli archivi del SAC, nome e cognome del medico prescrittore ed eventuali lista errori e/ comunicazioni non bloccanti. In presenza dell'elenco di anomalie bloccanti, il prescrittore dovrà correggere i dati della prescrizione.
      Parameters:
        `datiOperatore` - dati dell'operatore che esegue la richiesta del servizio. Parametro obbligatorio.
        `numIscrizAlbo` - Numero di iscrizione all’albo professionale, nel formato conosciuto dal medico. Parametro obbligatorio.
        `indirMedico` - Indirizzo del medico prescrittore. I dati seguenti devono essere separati dal segno pipe “|”
        - via e n. civico,
        - CAP
        - citta'
        - provincia
        Esempio: Via Mario Carucci, 99|00143|Roma|RM Parametro obbligatorio.
        `telefMedico` - Numero di telefono del medico prescrittore. I dati seguenti devono essere separati dal segno pipe “|”
        - Prefisso internazionale (per l’Italia +39)
        - Numero di telefono completo di prefisso
        Esempio: +39|0612345678 Parametro obbligatorio.
        `specialClinica` - Specializzazione clinica del medico prescrittore in testo libero. Parametro obbligatorio per la compilazione delle Ricette limitative.
        `testata1` - Campo destinato a informazioni aggiuntive
        `testata2` - Campo riservato alle Regioni, nel quale possono inserire informazioni di loro interesse, non controllate dal SAC. Deve essere rispettata la lunghezza del campo e l’utilizzo dei caratteri ammessi.
        `datiApplicativo` - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `tipologia` - Codice del tipo di prescrizione. Valore ammesso in maniera esclusiva.F:farmaceutica Parametro obbligatorio.
        `assistito` - assistito oggetto della prescrizione. Parametro obbligatorio
        `dataPrescrizione` - Data compilazione della ricetta da parte del medico nel formato aaaa-mm-gg HH:MM:SS. Parametro obbligatorio.
        `codMedicoPrescrittore` - Codice regionale del medico che ha prescritto la ricetta. Parametro obbligatorio.
        `elencoPrestazioniNSSN` - Elenco delle prestazioni non coperte dal SSN prescritte
        `codDiagnosi` - Codice della diagnosi o del sospetto diagnostico secondo la codifica ICD9-CM. Il campo può essere compilato da solo o congiuntamente a quello in testo libero della descrDiagnosi.
        `descrizioneDiagnosi` - Descrizione testuale della diagnosi o del sospetto diagnostico in libero. Il campo può essere compilato da solo o congiuntamente a quello del codDiagnosi
      Returns:
        CheckPrescrizioneNSSNResponse Restituisce l'elenco delle anomalie riscontrate col processo di controllo dei dati della prescrizione. Nel caso in cui non saranno presenti anomalie bloccanti saranno restituiti il campo Numero ricetta bianca elettronica (NRBE) , il pinRbe (Numero breve univoco per paziente e per anno di prescrizione), il nome e cognome del medico che ha effettuato la prescrizione, la data prescrizione presente negli archivi del SAC, il campo protocolloTransazione (Identificativo univoco della transazione) tale campo sarà sempre valorizzato, anche in caso di errore.
      Throws:
        `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi.
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio.
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000239: Contenuto applicativo non valido.
        - 000240: Il contenuto applicativo non corrisponde all'azione.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000231: Il codice fiscale della smart card non corrisponde a quello dell'operatore.
        - 000256: Porta di Dominio Edotto non raggiungibile
        - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
        - 000258: Scatel Porta di Dominio ASL non raggiungibile.
        - 000319: Application Server della Rete dei Medici non raggiungibili
        - 000320: Scatel Porta di Dominio Edotto non raggiungibile
        - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile

    - #### setAnnullaPrescrizioneNSSN

          public AnnullaPrescrizioneNSSNResponse setAnnullaPrescrizioneNSSN(DatiOperatore datiOperatore,
                                                                            DatiApplicativo datiApplicativo,
                                                                            java.lang.String codPaziente,
                                                                            java.lang.String nrbe,
                                                                            java.lang.String pinNrbe)

      Servizio che consente di annullare una prescrizione non coperta dal SSN cambiandone lo stato in "Annullata". Restituisce l'esito dell'operazione di annullamento prescrizione.
      Parameters:
        `datiOperatore` - dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `codPaziente` - Codice fiscale del paziente (CF/STP/ENI)
        `nrbe` - Numero Ricetta bianca Elettronica N.B. deve essere presente obbligatoriamente in maniera esclusiva un elemento tra nrbe e pinNrbe
        `pinNrbe` - Numero breve univoco per paziente e per anno di prescrizione. N.B. deve essere presente obbligatoriamente in maniera esclusiva un elemento tra nrbe e pinNrbe
      Returns:
        AnnullaPrescrizioneNSSNResponse Restituisce i dati identificativi della ricetta insieme all'esito dell'operazione, eventuali comunicazioni e opzionalmente una lista di errori riscontrati durante il processo di annullamento non andato a buon fine, oppure un Fault nel caso di errore.
      Throws:
        `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi.
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio.
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000280: Non è possibile annullare la prescrizione emessa da un altro medico.
        - 000279: Non è possibile annullare la prescrizione perchè non è in stato di Prescritta.
        - 000239: Contenuto applicativo non valido.
        - 000240: Il contenuto applicativo non corrisponde all'azione.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000231: Il codice fiscale della smart card non corrisponde a quello dell'operatore.
        - 000256: Porta di Dominio Edotto non raggiungibile
        - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
        - 000258: Scatel Porta di Dominio ASL non raggiungibile.
        - 000319: Application Server della Rete dei Medici non raggiungibili
        - 000320: Scatel Porta di Dominio Edotto non raggiungibile
        - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile

    - #### getPrescrizioneIdentificataNSSN

          public PrescrizioneIdentificataNSSNResponse getPrescrizioneIdentificataNSSN(DatiOperatore datiOperatore,
                                                                                      DatiApplicativo datiApplicativo,
                                                                                      java.lang.String codPaziente,
                                                                                      java.lang.String nrbe,
                                                                                      java.lang.String pinNrbe,
                                                                                      java.lang.String tipoOperazione)

      Il servizio permette di:
      - visualizzare il contenuto di una ricetta bianca elettronica effettuata da un medico prescrittore (RNR/RNRL/RR/RRL)
      - prenderla in carico in maniera esclusiva (RNR/RNRL) nel sistema di accoglienza centrale in ottemperanza al decreto del 30 dicembre 2020
      - rilasciare la presa in carico (RNR/RNRL) nel sistema di accoglienza centrale in ottemperanza al decreto del 30 dicembre 2020
      Per le RNR/RNRL le due azioni di visualizzazione e presa in carico si realizzano contemporaneamente con un’unica chiamata. Per le RR/RRL non esiste il concetto della presa in carico esclusiva, ma esiste solo il concetto di visualizzazione, con evidenza di ripetizioni che possono ancora essere erogate. Se nel sistema la prescrizione è registrata anche in formato CDA viene restituito il documento CDA della prescrizione (in chiaro, non firmato), altrimenti (nel caso di prescrizioni di supporto o di prescrizioni provenienti da regioni diverse da regione Puglia) vengono restituiti i dati atomici della prescrizione. Nel caso di prescrizioni fuori regione i dati della prescrizione saranno quelli recuperati direttamente dal sistema di accoglienza centrale (SAC) Viene adottata un'identificazione "forte", pertanto vanno specificati sia il codice fiscale dell'assistito (o in alternativa quello sanitario) che l'identificativo ricetta.
      Parameters:
        `datiOperatore` - dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `codPaziente` - Codice fiscale del paziente (CF/STP/ENI)
        `nrbe` - Numero Ricetta bianca Elettronica N.B. deve essere presente obbligatoriamente in maniera esclusiva un elemento tra nrbe e pinNrbe
        `pinNrbe` - Numero breve univoco per paziente e per anno di prescrizione. N.B. deve essere presente obbligatoriamente in maniera esclusiva un elemento tra nrbe e pinNrbe
        `tipoOperazione` - tipologia di operazione richiesta, elemento obbligatorio solo per le chiamate effettuate dai gestionali di farmacie. Valori possibili:
        - 1 = comunicazione di visualizzazione e presa in carico della ricetta e recupero completo dei dati. Tale tipo di operazione permette di visualizzare i dati di una ricetta per RR/RRL/RNR/RNRL e nel caso di RNR/RNRL anche di prenderla in carico.
        - 3= solo per RNR/RNRL rilascio della ricetta dematerializzata che era stata presa in carico: in tal caso la ricetta torna ad essere visibile a tutti gli erogatori.
        Nel caso in cui tale metodo venga invocato da software di cartella clinica, il param tipoOperazione non deve essere valorizzato.
      Returns:
        PrescrizioneIdentificataNSSNResponse Restituisce i dati atomici della prescrizione e il CDA di prescrizione restituito sottoforma di documento CDA2 in chiaro, non firmato o opzionalmente una lista di errori.
      Throws:
        `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi.
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio.
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000005: Dato non valido
        - 000060: Codice ricetta inserito non valido
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000218: Il CDA non è valido
        - 000239: Contenuto applicativo non valido.
        - 000240: Il contenuto applicativo non corrisponde all'azione.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000231: Il codice fiscale della smart card non corrisponde a quello dell'operatore.
        - 000256: Porta di Dominio Edotto non raggiungibile
        - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
        - 000258: Scatel Porta di Dominio ASL non raggiungibile.
        - 000319: Application Server della Rete dei Medici non raggiungibili
        - 000320: Scatel Porta di Dominio Edotto non raggiungibile
        - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile
        - 910002: Prescrizione non identificata e SAC non disponibile
        - 910003: Ricetta scaduta.

    - #### setAnnullaErogazioneFarmNSSN

          public AnnullaErogazioneFarmNSSNResponse setAnnullaErogazioneFarmNSSN(DatiOperatore datiOperatore,
                                                                                DatiApplicativo datiApplicativo,
                                                                                java.lang.String codPaziente,
                                                                                java.lang.String nrbe,
                                                                                java.lang.String pinNrbe,
                                                                                java.lang.String codAnnullamento,
                                                                                java.lang.String identificativoProdPrest)

      Il servizio permette di comunicare al sistema l’annullamento dell’erogazione. L’intera RNR/RNRL oppure la singola ripetizione della RR/RRL posono essere nuovamente erogate dalla stessa o da altra farmacia. Restituisce l'esito dell'operazione di annullamento erogazione.
      Parameters:
        `datiOperatore` - dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `codPaziente` - Codice fiscale del paziente (CF/STP/ENI)
        `nrbe` - Numero Ricetta bianca Elettronica N.B. deve essere presente obbligatoriamente in maniera esclusiva un elemento tra nrbe e pinNrbe
        `pinNrbe` - Numero breve univoco per paziente e per anno di prescrizione. N.B. deve essere presente obbligatoriamente in maniera esclusiva un elemento tra nrbe e pinNrbe
        `codAnnullamento` - Codice di motivazione dell’annullamento di una ricetta erogata. obbligatorio. Valori ammessi:
        - 1 (variazione): permette di comunicare al sistema che si intende effettuare una variazione di dati precedentemente inseriti, sia di tipo economico, che di targatura o di date di erogazione del farmaco; dopo tale tipo di operazione i dati devono essere nuovamente inviati per una successiva erogazione
        - 2 (annullamento): permette di comunicare al sistema l’annullamento dell’erogazione. L’intera RNR/RNRL oppure la singola ripetizione della RR/RRL posono essere nuovamente erogate dalla stessa o da altra farmacia.
        `identificativoProdPrest` - Identificativo univoco della riga di farmaco all’interno della ricetta. obbligatorio per RR/RRL, da non impostare per RNR/RNRL
      Returns:
        AnnullaErogazioneFarmNSSNResponse Restituisce i dati identificativi della ricetta insieme all'esito dell'operazione, eventuali comunicazioni e opzionalmente una lista di errori riscontrati durante il processo di annullamento non andato a buon fine, oppure un Fault nel caso di errore.
      Throws:
        `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi.
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio.
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000282: Non è possibile annullare l'erogazione perchè non è in stato di Erogata.
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000239: Contenuto applicativo non valido.
        - 000240: Il contenuto applicativo non corrisponde all'azione.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000231: Il codice fiscale della smart card non corrisponde a quello dell'operatore.
        - 000256: Porta di Dominio Edotto non raggiungibile
        - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
        - 000258: Scatel Porta di Dominio ASL non raggiungibile.
        - 000319: Application Server della Rete dei Medici non raggiungibili
        - 000320: Scatel Porta di Dominio Edotto non raggiungibile
        - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile

    - #### setSospendiErogazioneNSSN

          public SospendiErogazioneNSSNResponse setSospendiErogazioneNSSN(DatiOperatore datiOperatore,
                                                                          DatiApplicativo datiApplicativo,
                                                                          java.lang.String nrbe,
                                                                          java.lang.String pinNrbe,
                                                                          java.lang.String codPaziente,
                                                                          java.lang.String tipoOperazione)

      Il servizio permette alle farmacie, di sospendere l’erogazione di una ricetta bianca elettronica. Vale solo per le RNR/RNRL. Tale operazione, che può avvenire solo dopo che la ricetta bianca elettronica è stata presa in carico in maniera esclusiva da parte di una struttura di erogazione (STATO DI PROCESSO=5), serve a comunicare al SAC, che la chiusura erogazione non avviene contestualmente alla presa in carico della ricetta: un esempio tipico è la mancanza di disponibilità dei farmaci, che devono essere ordinati. Ad una ricetta sospesa (STATO DI PROCESSO=6) può seguire una erogazione totale o una erogazione parziale, ma anche più erogazioni singole Se dopo avere sospeso una ricetta bianca elettronica l’erogazione totale o l’erogazione parziale non può comunque essere effettuata per svariati motivi, l’erogatore deve effettuare una revoca alla sospensione, riportando la ricetta allo STATO DI PROCESSO = 3 (ricetta da erogare).
      Parameters:
        `datiOperatore` - Dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `nrbe` - Numero Ricetta bianca Elettronica N.B. deve essere presente obbligatoriamente in maniera esclusiva un elemento tra nrbe e pinNrbe
        `pinNrbe` - Numero breve univoco per paziente e per anno di prescrizione. N.B. deve essere presente obbligatoriamente in maniera esclusiva un elemento tra nrbe e pinNrbe
        `codPaziente` - Identificativo del paziente /CF/STP/ENI) parametro facoltativo.
        `tipoOperazione` - tipologia di operazione richiesta - Valori possibili:
        - 1 = Inizio sospensione - tale operazione, serve a comunicare al SAC, che la chiusura erogazione non avviene contestualmente alla presa in carico della ricetta quindi la ricetta verrà sospesa (STATO DI PROCESSO=6)
        - 2 = Revoca sospensione - se dopo avere sospeso una ricetta bianca elettronica l’erogazione totale o l’erogazione parziale non può comunque essere effettuata per svariati motivi, l’erogatore deve effettuare una revoca alla sospensione, riportando la ricetta allo STATO DI PROCESSO = 3 (ricetta da erogare).
        parametro obbligatorio.
      Returns:
        SospendiErogazioneNSSNResponse Restituisce i dati identificativi della ricetta insieme all'esito dell'operazione, eventuali comunicazioni e opzionalmente una lista di errori riscontrati durante il processo di sospensione (o revoca della stessa) non andato a buon fine, oppure un Fault nel caso di errore.
      Throws:
        `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi.
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio.
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000239: Contenuto applicativo non valido.
        - 000240: Il contenuto applicativo non corrisponde all'azione.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000231: Il codice fiscale della smart card non corrisponde a quello dell'operatore.
        - 000256: Porta di Dominio Edotto non raggiungibile
        - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
        - 000258: Scatel Porta di Dominio ASL non raggiungibile.
        - 000319: Application Server della Rete dei Medici non raggiungibili
        - 000320: Scatel Porta di Dominio Edotto non raggiungibile
        - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile

    - #### setRegistraPrescrizioneNSSN

          public RegistraPrescrizioneNSSNResponse setRegistraPrescrizioneNSSN(DatiOperatore datiOperatore,
                                                                              DatiApplicativo datiApplicativo,
                                                                              java.lang.String prescrizione,
                                                                              java.lang.Boolean oscurato)

      Servizio che consente la registrazione di una prescrizione (in formato cda firmato, file p7m) completa di tutti i suoi elementi. Il cda è in formato XML e contiene una prescrizione farmaceutica. In caso di prescrizione off-line contenente errori verrà inviata una e-mail di segnalazione dell'anomalia agli indirizzi e-mail del medico prescrittore e all’e-mail di help-desk.
      Parameters:
        `datiOperatore` - Dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `prescrizione` - CDA firmato (file p7m) della prescrizione. Parametro obbligatorio.
        `oscurato` - indica se la prescrizione, registrata nel fascicolo dell'assistito, deve essere oscurata per volontà dell'assistito stesso. Parametro facoltativo.
      Returns:
        RegistraPrescrizioneNSSNResponse Restituisce l'esito della registrazione della prescrizione(true) oppure un Fault nel caso di errore.
      Throws:
        `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi.
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio.
        - 000059: Il numero di caratteri inseriti eccede il limite consentito.
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000022: L'operazione di inserimento non è riuscita. Attendere qualche minuto e riprovare.
        - 000014: Inserire il codice assistito oppure gli altri dati.
        - 000005: Dato non valido
        - 100002: Manca dato obbligatorio
        - 000052: Il codice fiscale inserito è sbagliato; verificare la correttezza della sintassi
        - 000059: Il numero di caratteri inseriti eccede il limite consentito.
        - 000017: La data inserita non è valida perché posteriore a quella odierna.
        - 000053: L'anno inserito non è valido in quanto successivo a quello attuale.
        - 000218: Il CDA non è valido
        - 000239: Contenuto applicativo non valido.
        - 000240: Il contenuto applicativo non corrisponde all'azione.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000219: Errore nel processo di firma del documento o nella definizione del firmatario.
        - 000231: Il codice fiscale della smart card non corrisponde a quello dell'operatore.
        - 000256: Porta di Dominio Edotto non raggiungibile
        - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
        - 000258: Scatel Porta di Dominio ASL non raggiungibile.
        - 000319: Application Server della Rete dei Medici non raggiungibili
        - 000320: Scatel Porta di Dominio Edotto non raggiungibile
        - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile
        - 000271: Il firmatario del documento è diverso dall'operatore che ha richiesto la registrazione.
        - 000272: L'autore del documento è diverso dal firmatario.
        - 000303: La data di firma del cda deve essere uguale alla data di creazione dello stesso.
        - 000304: L'orario di firma del cda deve essere successivo all'orario di creazione dello stesso.
        - 000286: CRL non censita. Contattare il supporto tecnico.
        - 000287: CRL non presente. Contattare il supporto tecnico.
        - 000288: Il certificato è stato revocato.
        - 000289: Il certificato è scaduto.
        - 000290: Il certificato non è valido.
        - 900000: Il documento CDA non è conforme allo schema HL7.ClinicalDocument di riferimento.
        - 000163: L'assistito non ha un'iscrizione attiva all'anagrafe sanitaria regionale.

    - #### setRegistraErogazioneFarmNSSN

          public RegistraErogazioneFarmNSSNResponse setRegistraErogazioneFarmNSSN(DatiOperatore datiOperatore,
                                                                                  DatiApplicativo datiApplicativo,
                                                                                  java.lang.String erogazione,
                                                                                  java.lang.String tipoOperazione,
                                                                                  DatiDiChiusuraRicettaNSSN datiDiChiusuraRicettaNSSN,
                                                                                  java.lang.Boolean oscurato)

      Servizio che consente la registrazione di un'erogazione (in formato cda firmato, file p7m) di prestazioni inerenti ad una prescrizione farmaceutica e trasmette i dati al sistema di accoglienza centrale in ottemperanza al decreto del 30 dicembre 2020.
      E' inoltre possibile, attraverso questo servizio, comunicare la chiusura di erogazioni singole, specificando l'apposita tipologia di operazione attraverso il param tipoOperazione
      Parameters:
        `datiOperatore` - Dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `erogazione` - CDA firmato (file p7m) della erogazione farmaceutica Parametro obbligatorio per tipo operazione 1, 2, 3. Parametro da non valorizzzare per tipo operazione 6.
        `tipoOperazione` - Tipologia di operazione che l'erogatore vuole compiere sulla ricetta bianca elettronica Può assumere i seguenti valori:
        - 1 = erogazione totale della ricetta. vale per RNR/RNRL
        - 2 = erogazione singola prescrizione della ricetta. Il valore 2 deve essere abbinato al valore 6 descritto di seguito. vale per RNR/RNRL/RR/RRL
        - 3 = erogazione parziale della ricetta a causa dell’erogazione di una sola parte delle prescrizioni /prestazioni specialistiche in essa contenute, dovuta ad una volontà dell’assistito di non ricevere tutto il prescritto. vale per RNR/RNRL
        - 6 = chiusura dell’erogazione singola della ricetta. Il valore 6 deve essere abbinato al valore 2 descritto in precedenza. vale per RNR/RNRL
        Parametro obbligatorio.
        `datiDiChiusuraRicettaNSSN` - dati necessari alla chiusura di una ricetta RNR/RNRL per cui sono state richieste una o più erogazioni singole (tipoOperazione=2) e che necessità di essere totalmente erogata, comunicando i dati finali della ricetta (tipo operazione=6). Tale param deve essere valorizzato, solamente, per tipo Operazione=6, altrimenti non deve essere valorizzato.
        `oscurato` - indica se l'erogazione, registrata nel fascicolo dell'assistito, deve essere oscurata per volontà dell'assistito stesso. Parametro facoltativo.
      Returns:
        RegistraErogazioneFarmNSSNResponse Restituisce l'esito dell'operazione, l'nrbe e opzionalmente una lista di errori riscontrati durante il processo di trasmissione dell'erogato verso il sistema di accoglienza centrale, oppure un Fault nel caso di errore.
      Throws:
        `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi.
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio.
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000014: Inserire il codice assistito oppure gli altri dati.
        - 000005: Dato non valido
        - 100002: Manca dato obbligatorio
        - 000052: Il codice fiscale inserito è sbagliato; verificare la correttezza della sintassi
        - 000017: La data inserita non è valida perché posteriore a quella odierna.
        - 000053: L'anno inserito non è valido in quanto successivo a quello attuale.
        - 000218: Il CDA non è valido
        - 000239: Contenuto applicativo non valido.
        - 000240: Il contenuto applicativo non corrisponde all'azione.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000219: Errore nel processo di firma del documento o nella definizione del firmatario.
        - 000231: Il codice fiscale della smart card non corrisponde a quello dell'operatore.
        - 000256: Porta di Dominio Edotto non raggiungibile
        - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
        - 000258: Scatel Porta di Dominio ASL non raggiungibile.
        - 000319: Application Server della Rete dei Medici non raggiungibili
        - 000320: Scatel Porta di Dominio Edotto non raggiungibile
        - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile
        - 000271: Il firmatario del documento è diverso dall'operatore che ha richiesto la registrazione.
        - 000272: L'autore del documento è diverso dal firmatario.
        - 000303: La data di firma del cda deve essere uguale alla data di creazione dello stesso.
        - 000304: L'orario di firma del cda deve essere successivo all'orario di creazione dello stesso.
        - 000286: CRL non censita. Contattare il supporto tecnico.
        - 000287: CRL non presente. Contattare il supporto tecnico.
        - 000288: Il certificato è stato revocato.
        - 000289: Il certificato è scaduto.
        - 000290: Il certificato non è valido.
        - 900000: Il documento CDA non è conforme allo schema HL7.ClinicalDocument di riferimento.
        - 000163: L'assistito non ha un'iscrizione attiva all'anagrafe sanitaria regionale.
        - 000327: L'assistito specificato in input non e' lo stesso della prescrizione.
        - 910003: Ricetta scaduta.